Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSTemplateMBean

public interface JMSTemplateMBean
extends JMSDestCommonMBean, ConfigurationMBean, JMSConstants

This class represents a JMS template, which provides an efficient means of defining multiple destinations (queues and topics) with similar attribute settings.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`boolean` | `addDestination(JMSDestinationMBean destination)` Add a destination to the JMS template.
`JMSDestinationMBean[]` | `getDestinations()` Return a read-only array of the destinations for the JMS template.
`boolean` | `isBytesPagingEnabled()` Specifies whether bytes paging is enabled on destinations created from this JMS template for swapping message bodies out from memory to a persistent paging store when a destination's message load reaches a specified bytes/messages threshold.
`boolean` | `isMessagesPagingEnabled()` Specifies whether messages paging is enabled on destinations created from this JMS template for swapping message bodies out from memory to a persistent paging store when a destination's message load reaches a specified bytes/messages threshold.
`boolean` | `removeDestination(JMSDestinationMBean destination)` Remove a destination from the JMS template.
`void` | `setBytesPagingEnabled(boolean enabled)` Specifies whether bytes paging is enabled on destinations created from this JMS template for swapping message bodies out from memory to a persistent paging store when a destination's message load reaches a specified bytes/messages threshold.
`void` | `setMessagesPagingEnabled(boolean enabled)` Specifies whether messages paging is enabled on destinations created from this JMS template for swapping message bodies out from memory to a persistent paging store when a destination's message load reaches a specified bytes/messages threshold.

Methods inherited from interface weblogic.management.configuration.JMSDestCommonMBean
`addDestinationKey, getBytesMaximum, getBytesThresholdHigh, getBytesThresholdLow, getDeliveryModeOverride, getDestinationKeys, getErrorDestination, getExpirationLoggingPolicy, getExpirationPolicy, getMaximumMessageSize, getMessagesMaximum, getMessagesThresholdHigh, getMessagesThresholdLow, getPriorityOverride, getRedeliveryDelayOverride, getRedeliveryLimit, getTimeToDeliverOverride, getTimeToLiveOverride, removeDestinationKey, setBytesMaximum, setBytesThresholdHigh, setBytesThresholdLow, setCreationTime, setDeliveryModeOverride, setDestinationKeys, setErrorDestination, setExpirationLoggingPolicy, setExpirationPolicy, setMaximumMessageSize, setMessagesMaximum, setMessagesThresholdHigh, setMessagesThresholdLow, setPriorityOverride, setRedeliveryDelayOverride, setRedeliveryLimit, setTimeToDeliverOverride, setTimeToLiveOverride`

Method Detail

### getDestinations

    public JMSDestinationMBean[] getDestinations()

  Return a read-only array of the destinations for the JMS template.

  Returns:
    The destinations value

### addDestination

    public boolean addDestination(JMSDestinationMBean destination)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Add a destination to the JMS template.

  Parameters:
    `destination` - a reference to JMSDestinationMBean
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### removeDestination

    public boolean removeDestination(JMSDestinationMBean destination)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Remove a destination from the JMS template.

  Parameters:
    `destination` - a reference to JMSDestinationMBean
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### isMessagesPagingEnabled

    public boolean isMessagesPagingEnabled()

  Specifies whether messages paging is enabled on destinations created from this JMS template for swapping message bodies out from memory to a persistent paging store when a destination's message load reaches a specified bytes/messages threshold.

  - false - Messages paging is disabled for the template's destinations-unless the destination setting overrides the template.

  - true - If a paging store has been configured for the JMS Server, and both the MessagesThresholdLow and MessagesThresholdHigh attribute values are greater than -1, then messages paging is enabled for the template's destinations--unless the destination setting overrides the template.

  Note: If no value is defined, this setting defaults to false and messages paging is disabled for the template's destinations--unless the destination setting overrides the template.

  Returns:
    The MessagesPagingEnabled value

### setMessagesPagingEnabled

    public void setMessagesPagingEnabled(boolean enabled)
                                  throws javax.management.InvalidAttributeValueException

  Specifies whether messages paging is enabled on destinations created from this JMS template for swapping message bodies out from memory to a persistent paging store when a destination's message load reaches a specified bytes/messages threshold.

  - false - Messages paging is disabled for the template's destinations-unless the destination setting overrides the template.

  - true - If a paging store has been configured for the JMS Server, and both the MessagesThresholdLow and MessagesThresholdHigh attribute values are greater than -1, then messages paging is enabled for the template's destinations--unless the destination setting overrides the template.

  Note: If no value is defined, this setting defaults to false and messages paging is disabled for the template's destinations--unless the destination setting overrides the template.

  Default Value: false
  Parameters:
    `enabled` - The new MessagesPagingEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### isBytesPagingEnabled

    public boolean isBytesPagingEnabled()

  Specifies whether bytes paging is enabled on destinations created from this JMS template for swapping message bodies out from memory to a persistent paging store when a destination's message load reaches a specified bytes/messages threshold.

  - false - Bytes paging is disabled for the template's destinations-unless the destination setting overrides the template.

  - true - If a paging store has been configured for the JMS Server, and both the BytesThresholdLow and BytesThresholdHigh attribute values are greater than -1, then bytes paging is enabled for the template's destinations--unless the destination setting overrides the template.

  Note: If no value is defined, then this setting defaults to false and bytes paging is disabled for the template's destinations--unless the destination setting overrides the template.

  Returns:
    The BytesPagingEnabled value

### setBytesPagingEnabled

    public void setBytesPagingEnabled(boolean enabled)
                               throws javax.management.InvalidAttributeValueException

  Specifies whether bytes paging is enabled on destinations created from this JMS template for swapping message bodies out from memory to a persistent paging store when a destination's message load reaches a specified bytes/messages threshold.

  - false - Bytes paging is disabled for the template's destinations-unless the destination setting overrides the template.

  - true - If a paging store has been configured for the JMS Server, and both the BytesThresholdLow and BytesThresholdHigh attribute values are greater than -1, then bytes paging is enabled for the template's destinations--unless the destination setting overrides the template.

  Note: If no value is defined, then this setting defaults to false and bytes paging is disabled for the template's destinations--unless the destination setting overrides the template.

  Default Value: false
  Parameters:
    `enabled` - The new BytesPagingEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD